Skip to content

Get a conditional by Id

Request

This endpoint allows you to get the information about a given conditional.

Security
clientCredentials
Path
idstringrequired

The generated identifier of an entity instance

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/conditionals/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Headers
ETagstring

weak Etag (ex W/<etag_value>) which contains the (updated) version of the entity

Bodyapplication/json
idstringread-only

A generated identifier for a conditional. The identifier is returned in both the Location header and (optional) response body when creating the Conditional.

Example:"624ec196-4c5c-4fb4-bb43-9ffd8a6b8844"
namestring

A short name for the Conditional

Example:"a name"
descriptionstring

A description for the conditional, helpful in determining the why or what.

Example:"a description"
conditionsobjectrequired

The rules that will determine whether this conditional is applicable to an order or not.

At least one conditional needs to be provided. The different top-level conditions are combined with AND logic, ie: they all need to match for an order to match this conditional.

effectsobjectrequired

At least one property has to be filled.

Response
{ "id": "624ec196-4c5c-4fb4-bb43-9ffd8a6b8844", "name": "a name", "description": "a description", "conditions": { "locations": [], "temporals": [], "categories": [], "clients": [] }, "effects": { "stop_time": "PT5M", "time_windows": [], "requirements": {} } }